﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace HideDockedPanelWithTab100672
{
    public partial class Form1 : Form
    {
        bool hidePanel = false, invert, panePinned;
        DockableControlPane pane;

        public Form1()
        {
            InitializeComponent();

            this.ultraButton1.Click += new EventHandler(ultraButton1_Click);
            this.ultraDockManager1.AfterPaneButtonClick += new PaneButtonEventHandler(ultraDockManager1_AfterPaneButtonClick);
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            //Set our pane object to the panel that we will be manipulating
            pane = ultraDockManager1.ControlPanes[0];
        }

        void ultraDockManager1_AfterPaneButtonClick(object sender, PaneButtonEventArgs e)
        {
            //Monitor the pinned state of the pane
            panePinned = ultraDockManager1.ControlPanes[0].Pinned;
        }

        //Simulate the hiding/unhiding of the pane
        void ultraButton1_Click(object sender, EventArgs e)
        {
            invert = !hidePanel;
            hidePanel = invert;

            //While the panel is being hidden, update the panePinned variable then proceed to close the pane
            if (hidePanel)
            {
                panePinned = pane.Pinned;
                pane.Close();
            }
            
            
            else
            {
                //Display the pane
                pane.Show();

                //When displaying the pane once more, restore its pinned state with the value from our reference variable
                if (panePinned) pane.Pin();
                
                //If the pane was unpinned, proceed to unpin its once more as it will by default take on a pinned state, then call the flyin()
                //method of the ultraDockManager1
                else
                {
                    pane.Unpin();

                    //In this case I have passed in false, to avoid the slide animation when the pane is collapsed
                    ultraDockManager1.FlyIn(false); 
                }
            }
        }
    }
}
